Subject: Re: bug#71499: [PATCH] Make whitespace.el cleanup add missing final newline

From: Robert Pluim <[email-masked]>
Date: Thu, 20 Jun 2024 11:45:45 +0200

>>>>> On Thu, 20 Jun 2024 08:55:04 +0000, Stefan Kangas <[email-masked]> said:

    Stefan> Robert Pluim <[email-masked]> writes:
    >> Yes. I guess I could turn off whitespace-cleanup for those files, and
    >> complain at those people more loudly :-) .

    Stefan> Just to confirm: you still want it highlighted, despite the fact that
    Stefan> you're anyways not planning to change it?  IOW, you couldn't just
    Stefan> customize `whitespace-style` in those directories and have it do what
    Stefan> you want?

Thatʼs another way I could fix it, but itʼs fixable just in my config.

    Stefan> Perhaps we should have `whitespace-disable-cleanups` for these use
    Stefan> cases, but it should then allow customizing a list of values similar to
    Stefan> the ones in `whitespace-style`.

Again: letʼs not overcomplicate this just for my niche case.

Robert
--